<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.majornetwork.RMpBenchmarkLevelQMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpBenchmarkLevelQ">
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <result property="voltageAvg" column="voltage_avg" jdbcType="FLOAT"/>
            <result property="voltageSd" column="voltage_sd" jdbcType="FLOAT"/>
            <result property="unbalanceAvg" column="unbalance_avg" jdbcType="FLOAT"/>
            <result property="unbalanceSd" column="unbalance_sd" jdbcType="FLOAT"/>
            <result property="vthdAvg" column="vthd_avg" jdbcType="FLOAT"/>
            <result property="vthdSd" column="vthd_sd" jdbcType="FLOAT"/>
            <result property="flickerAvg" column="flicker_avg" jdbcType="FLOAT"/>
            <result property="flickerSd" column="flicker_sd" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        measurement_point_id,data_date,voltage_avg,
        voltage_sd,unbalance_avg,unbalance_sd,
        vthd_avg,vthd_sd,flicker_avg,
        flicker_sd
    </sql>
</mapper>
